Package to compute forest diversity index in IMaestro project

# Package installation

Need the library devtools in R then in R.

devtools::install_gitlab('arnaud.guyennon/forestdiversity', build_vignettes=TRUE)

# Details on the package

## Vignette

A vignette with details and example (variable PlotExample) can be consulted by typing in R:

vignette('forestdiversity')

## Population indices

Size-Distribution related :

1. Nb of Size class 
2. Hill Numbers (Shannon, Simpson)
3. Gini index 

Species-related

1. Nb of species
2. Hill Numbers (Shannon, Simpson)

Indices can be computed using whether density or basal as proportion. 

## Plot (=stand with location) indices

Size-Distribution related

1. Size Differentiation index

Species-related

1. Species mingling index

Spatial distribution:

1. Uniform angle Index (=Winkelmass)


## Resilience metrics

## Landscape metrics

## References

Pommerening and UriaDiez, 2017 : Do large forest trees tend towards high species mingling ?
Hui and Gadow, 2002 : Characterizing forest spatial structure and diversity
Zenner and Hibbs, 2000 : A new method for modeling the heterogeneity of forest structure
Pommerening and Stoyan, 2006 : Edge-correction needs in estimation indices of spatial forest structure


